This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 136613 - createrepo does not include %ghost files in primary.xml.gz
createrepo does not include %ghost files in primary.xml.gz
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: createrepo (Show other bugs)
rawhide
All Linux
medium Severity high
: ---
: ---
Assigned To: Paul Nasrat
:
Depends On:
Blocks: FC3Blocker
  Show dependency treegraph
 
Reported: 2004-10-21 03:56 EDT by Paul Nasrat
Modified: 2014-01-21 17:50 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-22 10:49:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Paul Nasrat 2004-10-21 03:56:46 EDT
Description of problem:

Ghost files are not being included in primary.xml.gz even if they
matched the regex that lets files be in primary.xml.gz.

This breaks packages where nothing provides a file (not even a virtual
provide), but it is only listed in the file lists as a ghost and the
ghost is mapped in in %post via alternatives.

Things such as the jpackage compat gcj package (/usr/bin/jar) are
likely to be affected, along with Extras packages for pinentry

Version-Release number of selected component (if applicable):

0.4.0

How reproducible:

Always

Additional info:

Already fixed in 0.4.1

Note You need to log in before you can comment on or make changes to this bug.